package com.ruoyi.web.pshMarks.mapper;

import com.ruoyi.web.sspMarks.domain.SspMarkfileinfo;
import com.ruoyi.web.sspMarks.domain.SspMarks;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 随手拍留痕上报 数据层
 *
 * @author gwb
 * @date 2021-04-06
 */
@Repository
public interface PshMarksMapper
{
	/**
	 * 查询随手拍留痕上报信息
	 *
	 * @param id 随手拍留痕上报ID
	 * @return 随手拍留痕上报信息
	 */
	public SspMarks selectSspMarksById(Integer id);

	/**
	 * 查询随手拍留痕上报列表
	 *
	 * @param sspMarks 随手拍留痕上报信息
	 * @return 随手拍留痕上报集合
	 */
	public List<SspMarks> selectSspMarksList(SspMarks sspMarks);

	/**
	 * 新增随手拍留痕上报
	 *
	 * @param sspMarks 随手拍留痕上报信息
	 * @return 结果
	 */
	public int insertSspMarks(SspMarks sspMarks);

	/**
	 * 修改随手拍留痕上报
	 *
	 * @param sspMarks 随手拍留痕上报信息
	 * @return 结果
	 */
	public int updateSspMarks(SspMarks sspMarks);

	/**
	 * 删除随手拍留痕上报
	 *
	 * @param id 随手拍留痕上报ID
	 * @return 结果
	 */
	public int deleteSspMarksById(Integer id);

	/**
	 * 批量删除随手拍留痕上报
	 *
	 * @param ids 需要删除的数据ID
	 * @return 结果
	 */
	public int deleteSspMarksByIds(String[] ids);


	int addSspMarks(SspMarks sspMarks);

	/**
	 * 根据id和文件类型查询 图片
	 *
	 * @return
	 */
	List<SspMarks> queryPicture(SspMarks sspMarks);

	/**
	 * 根据id和文件类型查询 图片
	 *
	 * @return
	 */
	List<SspMarks> queryVideo(SspMarks sspMarks);



	/**
	 * 根据id和文件类型查询 图片
	 *
	 * @return
	 */
	List<SspMarkfileinfo> queryPictureUrl(SspMarkfileinfo sspMarkfileinfo);

	/**
	 * 根据id和文件类型查询 视频
	 *
	 * @return
	 */
	List<SspMarkfileinfo> queryVideoUrl(SspMarkfileinfo sspMarkfileinfo);

	/**
	 * 更新图片
	 *
	 * @param map
	 * @return
	 */
	public int updatePicture(Map<String,Object> map);

	/**
	 * 更新视频
	 *
	 * @param map
	 * @return
	 */
	public int updateVideo(Map<String,Object> map);

	/**
	 * 更新智能公司数据
	 *
	 * @param map
	 * @return
	 */
	public int updateSmarkUrl(Map<String,Object> map);

	/**
	 * 根据审核状态查询
	 *
	 * @param map
	 * @return
	 */
	List<SspMarks> queryByCheckState(Map<String,Object> map);

	/**
	 * 根据id查询留痕信息
	 *
	 * @param id
	 * @return
	 */
	SspMarks queryById(String id);

	/**
	 * 新增质量留痕提交记录
	 * @param map
	 * @return
	 */
	int insertSspQualityMark(Map<String,Object> map);

	/**
	 * 新增质量留痕审批流
	 * @param map
	 * @return
	 */
	int insertSspQualityMarkApprove(Map<String,Object> map);
}