package com.yanzhu.jh.trouble.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.ruoyi.common.utils.DateUtils;
import com.yanzhu.jh.trouble.domain.where.SmzSspProblemmodifyWhere;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.trouble.mapper.SmzSspProblemmodifyMapper;
import com.yanzhu.jh.trouble.domain.SmzSspProblemmodify;
import com.yanzhu.jh.trouble.service.ISmzSspProblemmodifyService;

/**
 * 质量整改Service业务层处理
 * 
 * @author JiangYuQi
 * @date 2023-07-28
 */
@Service
public class SmzSspProblemmodifyServiceImpl implements ISmzSspProblemmodifyService 
{
    @Autowired
    private SmzSspProblemmodifyMapper smzSspProblemmodifyMapper;

    /**
     * 查询质量整改
     * 
     * @param id 质量整改主键
     * @return 质量整改
     */
    @Override
    public SmzSspProblemmodify selectSmzSspProblemmodifyById(Long id)
    {
        return smzSspProblemmodifyMapper.selectSmzSspProblemmodifyById(id);
    }

    /**
     * 查询质量整改列表
     * 
     * @param smzSspProblemmodify 质量整改
     * @return 质量整改
     */
    @Override
    public List<SmzSspProblemmodify> selectSmzSspProblemmodifyList(SmzSspProblemmodify smzSspProblemmodify)
    {
        return smzSspProblemmodifyMapper.selectSmzSspProblemmodifyList(smzSspProblemmodify);
    }

    /**
     * 根据状态分组统计数量
     * @param smzSspProblemmodify 查询条件
     * @return List<Map<String, Integer>>
     */
    @Override
    public Map<String, Object> findProblemmodifyGroupByCheckState(SmzSspProblemmodify smzSspProblemmodify) {
        List<Map<String, Object>> dataList = smzSspProblemmodifyMapper.findProblemmodifyGroupByCheckState(smzSspProblemmodify);
        Map<String, Object> dataMap = new HashMap<>();
        if(dataList!=null && dataList.size()>0){
            for(Map<String, Object> map:dataList){
                dataMap.put("check"+map.get("checkState"),map.get("total"));
            }
            dataMap.put("check99",smzSspProblemmodifyMapper.findProblemmodifyTimeoutCount(smzSspProblemmodify));
        }
        return dataMap;
    }

    /**
     * 新增质量整改
     * 
     * @param smzSspProblemmodify 质量整改
     * @return 结果
     */
    @Override
    public int insertSmzSspProblemmodify(SmzSspProblemmodify smzSspProblemmodify)
    {
        smzSspProblemmodify.setCreateTime(DateUtils.getNowDate());
        return smzSspProblemmodifyMapper.insertSmzSspProblemmodify(smzSspProblemmodify);
    }

    /**
     * 修改质量整改
     * 
     * @param smzSspProblemmodify 质量整改
     * @return 结果
     */
    @Override
    public int updateSmzSspProblemmodify(SmzSspProblemmodify smzSspProblemmodify)
    {
        smzSspProblemmodify.setUpdateTime(DateUtils.getNowDate());
        return smzSspProblemmodifyMapper.updateSmzSspProblemmodify(smzSspProblemmodify);
    }

    /**
     * 批量删除质量整改
     * 
     * @param ids 需要删除的质量整改主键
     * @return 结果
     */
    @Override
    public int deleteSmzSspProblemmodifyByIds(Long[] ids)
    {
        return smzSspProblemmodifyMapper.deleteSmzSspProblemmodifyByIds(ids);
    }

    /**
     * 删除质量整改信息
     * 
     * @param id 质量整改主键
     * @return 结果
     */
    @Override
    public int deleteSmzSspProblemmodifyById(Long id)
    {
        return smzSspProblemmodifyMapper.deleteSmzSspProblemmodifyById(id);
    }

    @Override
    public List<SmzSspProblemmodify> selectSummary(int deptId, int roleType,int projectId, int infoType) {
        SmzSspProblemmodify smzSspProblemmodify=new SmzSspProblemmodify();
        smzSspProblemmodify.setRoleType(roleType);
        smzSspProblemmodify.setProjectId((long)projectId);
        smzSspProblemmodify.setInfoType((long)infoType);
        smzSspProblemmodify.setId((long)deptId);
        return smzSspProblemmodifyMapper.selectSummary(smzSspProblemmodify);
    }

    @Override
    public List<SmzSspProblemmodify> selectSummaryByProject(int deptId, int roleType,int projectId, int infoType) {
        SmzSspProblemmodify smzSspProblemmodify=new SmzSspProblemmodify();
        smzSspProblemmodify.setRoleType(roleType);
        smzSspProblemmodify.setProjectId((long)projectId);
        smzSspProblemmodify.setInfoType((long)infoType);
        smzSspProblemmodify.setId((long)deptId);
        return smzSspProblemmodifyMapper.selectSummaryByProject(smzSspProblemmodify);
    }

    @Override
    public List<SmzSspProblemmodify> countByDate(SmzSspProblemmodifyWhere where) {
        return smzSspProblemmodifyMapper.countByDate(where);
    }

    @Override
    public List<SmzSspProblemmodify> countByDateRange(SmzSspProblemmodifyWhere where) {
        return smzSspProblemmodifyMapper.countByDateRange(where);
    }

    @Override
    public List<SmzSspProblemmodify> groupByInfotypeCheckState(SmzSspProblemmodifyWhere where) {
        return smzSspProblemmodifyMapper.groupByInfotypeCheckState(where);
    }

    @Override
    public Long countTimeout(SmzSspProblemmodifyWhere where) {
        return (long) smzSspProblemmodifyMapper.countTimeout(where);
    }
}
